Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230984 - partprobe fails with CDROM inside
Summary: partprobe fails with CDROM inside
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: parted
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-05 11:14 UTC by Sai Kiran Kanuri
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: parted-1.8.2-2.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-11 18:29:34 UTC


Attachments (Terms of Use)
the error message (deleted)
2007-03-05 11:14 UTC, Sai Kiran Kanuri
no flags Details

Description Sai Kiran Kanuri 2007-03-05 11:14:59 UTC
Description of problem:

Partprobe has a problem when used to probe new partitions. The problem happens
if there is a CD-ROM placed in the CD drive. If the cd is removed it works fine.

The error is attached.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a new partition on a disk having the ROOT FS
2. Ensure you have a cdrom placed in the DVD-drive
3. you should get it the error. I haven't tried it in multiple PC. 
  
Actual results:

The partprobe is aborted

Expected results:

The partition table should be properly updated

Additional info:

Comment 1 Sai Kiran Kanuri 2007-03-05 11:14:59 UTC
Created attachment 149255 [details]
the error message

Comment 2 David Cantrell 2007-03-21 15:03:51 UTC
I've fixed this problem in parted-1.8.6.  I'll release an update for FC-6.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.